%define upstream_name    DateTime-Format-RSS
%define upstream_version 0.03000

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Format DateTime For RSS
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(DateTime::Format::DateParse)
BuildRequires: perl(DateTime::Format::ISO8601)
BuildRequires: perl(DateTime::Format::Mail)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Test::More)
BuildArch: noarch
Requires: perl(Class::Accessor::Fast)

%description
DateTime::Format::RSS attempts to deal with those nasty RSS date/time
strings used in fields (such as <issued>, <modified>, <pubDate>) that never
ever seems to be right.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.30.0-11.mga8
+ Revision: 1503754
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.30.0-10.mga7
+ Revision: 1282654
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.30.0-9.mga7
+ Revision: 1163886
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 tv <tv> 0.30.0-8.mga7
+ Revision: 1158626
- add BR on perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 0.30.0-7.mga6
+ Revision: 1025248
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.30.0-6.mga6
+ Revision: 948367
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-5.mga5
+ Revision: 739945
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 522800
- Mageia 4 Mass Rebuild

* Wed Mar 27 2013 jquelin <jquelin> 0.30.0-2.mga3
+ Revision: 405744
- add missing requires:

* Tue Mar 19 2013 jquelin <jquelin> 0.30.0-1.mga3
+ Revision: 404052
- imported package perl-DateTime-Format-RSS


* Tue Mar 19 2013 cpan2dist 0.03000-1mga
- initial mageia release, generated with cpan2dist
